Bug 174669 - yum should fall back to C locale
Summary: yum should fall back to C locale
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-01 09:28 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-03 08:25:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2005-12-01 09:28:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
package-cleanup (yum-utils?) should fall back to the C locale if the current locale is not supported.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:

Comment 1 Need Real Name 2005-12-01 14:21:46 UTC
This occurs in yum.

Comment 2 Seth Vidal 2005-12-01 15:11:59 UTC
can you tell me when and/or how this occurs and how I can test it?



Comment 3 Need Real Name 2005-12-01 16:08:38 UTC
Sure:
 LANG=de_AT:UTF-8 yum -C info doesntexist

Comment 4 Need Real Name 2005-12-01 16:10:40 UTC
$ LANG=de_AT:UTF-8 yum -C info something
Traceback (most recent call last):
  File "/usr/bin/yum", line 27, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 67, in main
    locale.setlocale(locale.LC_ALL, '')
  File "/usr/lib/python2.4/locale.py", line 379, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting


Comment 5 Seth Vidal 2005-12-03 08:25:18 UTC
checked a fix into cvs. Thanks.


Comment 6 Need Real Name 2005-12-03 10:25:18 UTC
Super schnell! Danke!


Note You need to log in before you can comment on or make changes to this bug.